/* $Id$

This file is part of libmspgl
Copyright © 2007  Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/

#include "gl.h"
#include "transform.h"

namespace Msp {
namespace GL {

void translate(float x, float y, float z)
{
	glTranslatef(x, y, z);
}

void rotate(float a, float x, float y, float z)
{
	glRotatef(a, x, y, z);
}

void scale(float x, float y, float z)
{
	glScalef(x, y, z);
}

void scale_uniform(float s)
{
	scale(s, s, s);
}

} // namespace GL
} // namespace Msp
