/* $Id$

This file is part of libmspgl
Copyright © 2007  Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/

#ifndef MSP_GL_VERTEXBUFFER_H_
#define MSP_GL_VERTEXBUFFER_H_

#include "types.h"

namespace Msp {
namespace GL {

class VertexBuffer
{
public:
	VertexBuffer();
	void bind() const;
	void data(sizei, void *);
	~VertexBuffer();

	static void unbind();
private:
	uint id;

	static const VertexBuffer *bound;
};

} // namespace GL
} // namespace Msp

#endif
